Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 22 Dec 2020 08:43:15 -0800

On 12/21/20 08:12 AM, Eric Abrahamsen wrote:
> Michael Heerdegen <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> I think this should be fixed on the trunk now -- can you check?
>>
>> Ok, thanks.  Yes, good, though, now I get (deja vu again):
>>
>> | Debugger entered--Lisp error: (cl-no-applicable-method
>> | registry-lookup nil ("<[email-masked]>"))
>
> Yes, we've been here before, in bug 36903, and commit a81223aeaa...

Oh hang on, it looks like that took me several tries to get right,
in a81223aeaa, 87b7c06958, a34216351f, and then finally ae76ce57cf, in
which it looks like I was confident that checking
`gnus-registry-enabled' was sufficient to ensure that the registry was
actually an object. Give me a second to figure out why that's not true.